TR(1)

NAVN
tr - transskriber eller slet tegn

SYNOPSIS
tr [TILVALG]... STRENG1 [STRENG2]

BESKRIVELSE

Oversæt, sammenklem og/eller slet tegn fra standardind og skriv til standardud. STRENG1 og STRENG2 angiver tabeller med tegn TABEL1 og TABEL2, der kontrollerer handlingen.

-c, -C, --complement
    brug komplement af TABEL1

-d, --delete
    slet tegn i TABEL1, oversæt ikke

-s, --squeeze-repeats
    erstat hver række af gentagne tegn anført i sidst angivne TABEL med et enkelt af dette tegn

-t, --truncate-set1
    afkort først TABEL1 til længden af TABEL2

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

TABELLer er angivet med strenge af tegn. De fleste tegn står for sig selv. Følgende sekvenser tolkes specielt:

\NNN
    tegn med oktalværdi NNN (1 til 3 oktale cifre)

\\  omvendt skråstreg

\a  hørbar BEL

\b  tilbage (backspace)

\f  sideskift

\n  ny linje

\r  vognretur (CR)

\t  vandret tabulator

\v  lodret tabulator

TEGN1-TEGN2
    alle tegn fra TEGN1 til TEGN2, stigende

[TEGN*]
    i TABEL2, kopier af TEGN indtil samme længde til TABEL1

[TEGN*ANTAL]
    ANTAL kopier af TEGN, ANTAL er oktal, hvis det begynder med 0

[:alnum:]
    alle bogstaver og tal

[:alpha:]
    alle bogstaver

[:blank:]
    alle vandrette blanke tegn

[:cntrl:]
    alle kontroltegn

[:digit:]
    alle cifre

[:graph:]
    alle skrivbare tegn, undtaget blanke tegn

[:lower:]
    alle små bogstaver

[:print:]
    alle skrivbare tegn, inkluderet blanke tegn

[:punct:]
    alle tegnsætningstegn

[:space:]
    alle vandrette og lodrette blanke tegn

[:upper:]
    alle store bogstaver

[:xdigit:]
    alle hexadecimale cifre

[=TEGN=]
    alle tegn som er lig TEGN

Translation occurs if -d is not given and both STRING1 and STRING2 appear. -t is only significant when translating. ARRAY2 is extended to length of ARRAY1 by repeating its last character as necessary. Excess characters of ARRAY2 are ignored. Character classes expand in unspecified order; while translating, [:lower:] and [:upper:] may be used in pairs to specify case conversion. Squeezing occurs after translation or deletion.

FEJL

Fuld understøttelse er kun tilgængelig for sikker single-byte sprog, hvor hver enkelt byte repræsenterer et enkelt tegn. C-sproget er sikkert i GNU-systemer, så du kan undgå denne problemstilling i skallen ved at afvikle LC_ALL=C tr i stedet for ren tr.

FORFATTER
Skrevet af Jim Meyering.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2023 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
Fuld dokumentation <https://www.gnu.org/software/coreutils/tr>
eller lokalt tilgængelig via: info '(coreutils) tr invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.